Summary: A C++ interface for GTK+ (a GUI library for X).
Name: gtkmm
Version: 1.2.7
Release: fr1
Serial: 2
Group: System Environment/Libraries
Copyright: LGPL
URL: http://gtkmm.sourceforge.net/
Source: ftp://ftp.gtk.org/pub/gtk/gtk--/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.7, libsigc++ >= 1.0.1
BuildRequires: gtk+-devel, libsigc++-devel

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library.  The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented framework.
Features include type safe callbacks, widgets that are extensible using
inheritance and over 110 classes that can be freely combined to quickly
create complex user interfaces.


%package devel
Summary: Headers for developing programs that will use Gtk--.
Group: Development/Libraries
Requires: %{name}, gtk+-devel, glib-devel, libsigc++-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+ (the
Gimp ToolKit) GUI library.


%prep
%setup -q

%build
%configure --enable-static --enable-shared --enable-docs
make
# since the tutorial and FAQ is not build by default
make -C docs/tutorial/
# the docs won't compile on Red Hat 7.1...
#make -C docs/FAQ/

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' \
	> examples/examples.conf

rm -f examples/Makefile*
rm examples/examples.conf.in

# strip down the docs 
find docs/ \
\( 	-name 'Makefile*' -or	\
	-name '*.m4' -or	\
	-name 'html' -or	\
	-name 'header' -or 	\
	-name '*.h' 		\
\)	-exec rm -rf {} \;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc examples/ docs/
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/gtkmm
%{_datadir}/aclocal/gtk--.m4

%changelog
* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.7.

* Wed Apr 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and rebuilt for Red Hat 7.1.

* Sun Feb 21 2001 Murray Cumming <murrayc@usa.net>
- Corrected URL.

* Sun May 21 2000 Herbert Valerio Riedel <hvr@gnu.org>
- fixed up documentation in gtkmm-devel

* Sun May 07 2000 Herbert Valerio Riedel <hvr@gnu.org>
- CXXFLAGS are set too

* Sun Feb 20 2000 Herbert Valerio Riedel <hvr@gnu.org>
- gnome-- and gtk-- are packaged separately

* Fri Jan 28 2000 Herbert Valerio Riedel <hvr@gnu.org>
- adapted to the new docs

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

